import React from 'react'
import Svg, { Path, SvgCss } from 'react-native-svg'

export default function MapIcon({ selected }) {
  if(selected) {
    const xml = `
      <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path fill-rule="evenodd" clip-rule="evenodd" d="M1 19.5V3L7.70312 5V21.5L1 19.5ZM15.9219 3L8.70312 5V21.5L15.9219 19.5V3ZM16.9219 3V19.5L23.625 21.5V5L16.9219 3Z" fill="url(#paint0_radial)"/>
        <defs>
          <radialGradient id="paint0_radial" cx="0" cy="0" r="1" gradientUnits="userSpaceOnUse" gradientTransform="translate(21.0637 18.5451) rotate(165.186) scale(14.5716 55.4723)">
            <stop stop-color="#7A8AFF"/>
            <stop offset="1" stop-color="#B16BF2"/>
          </radialGradient>
          </defs>
      </svg>
    `;

    return (
      <SvgCss xml={xml} />
    );
  }
  else {
    return (
      <Svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <Path d="M1.54688 19.5H1.04688C1.04688 19.7211 1.19207 19.9159 1.40392 19.9791L1.54688 19.5ZM1.54688 3L1.68983 2.52087C1.5385 2.47572 1.37474 2.50471 1.24811 2.59908C1.12148 2.69344 1.04688 2.84208 1.04688 3H1.54688ZM15.4688 3L15.6117 2.52087C15.5216 2.494 15.4258 2.49306 15.3353 2.51815L15.4688 3ZM22.1719 5H22.6719C22.6719 4.77892 22.5267 4.58408 22.3148 4.52087L22.1719 5ZM22.1719 21.5L22.0289 21.9791C22.1802 22.0243 22.344 21.9953 22.4706 21.9009C22.5973 21.8066 22.6719 21.6579 22.6719 21.5H22.1719ZM8.25 21.5L8.10704 21.9791C8.19711 22.006 8.29292 22.0069 8.3835 21.9818L8.25 21.5ZM2.04688 19.5V3H1.04688V19.5H2.04688ZM1.40392 3.47913L8.10704 5.47913L8.39296 4.52087L1.68983 2.52087L1.40392 3.47913ZM8.3835 5.48185L15.6022 3.48185L15.3353 2.51815L8.1165 4.51815L8.3835 5.48185ZM15.3258 3.47913L22.0289 5.47913L22.3148 4.52087L15.6117 2.52087L15.3258 3.47913ZM21.6719 5V21.5H22.6719V5H21.6719ZM22.3148 21.0209L15.6117 19.0209L15.3258 19.9791L22.0289 21.9791L22.3148 21.0209ZM15.3353 19.0182L8.1165 21.0182L8.3835 21.9818L15.6022 19.9818L15.3353 19.0182ZM8.39296 21.0209L1.68983 19.0209L1.40392 19.9791L8.10704 21.9791L8.39296 21.0209ZM8.75 21.5V5H7.75V21.5H8.75ZM14.9688 3V19.5H15.9688V3H14.9688Z" fill="#798090" />
      </Svg>
    )
  }
}